# -*- coding: utf-8 -*-
from PyQt5 import QtWidgets, QtGui
import sys


def on_clicked():
    (font, ok) = QtWidgets.QFontDialog.getFont(QtGui.QFont("Tahoma", 16), parent=window, caption="Окно выбора шрифта")
    if ok:
        print(font.family(), font.pointSize(), font.weight(), font.italic(), font.underline())
        # Задание новго стиля для поля
        style = 'QLineEdit { font-family: ' + font.family() + '; font-size: ' + str(font.pointSize()) + '; font-weight: ' + str(font.weight()) + ';'
        if font.italic():
            style += 'font-style: italic; '
        if font.underline():
            style += 'text-decoration: underline;'
        style += ' }'
        # Установка нового стиля
        lineEdit1.setStyleSheet(style)

app = QtWidgets.QApplication(sys.argv)
window = QtWidgets.QWidget()          # Родительский компонент - окно
window.setWindowTitle("Использование окна выбора шрифта")
# Назначаем обработчиками функции
button1 = QtWidgets.QPushButton("Выбор шрифта")
lineEdit1 = QtWidgets.QLineEdit()
grid = QtWidgets.QGridLayout()        # Создаем сетку
grid.addWidget(button1, 0, 0)         # Добавляем компоненты
grid.addWidget(lineEdit1, 0, 1)
button1.clicked.connect(on_clicked)
window.setLayout(grid)
window.show()
sys.exit(app.exec_())
